#
# spec file for package libxslt (Version 1.0.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libxml2 libxml2-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libxml2 libxml2-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         libxslt
Summary:      XSL Transformation Library
Version:      1.0.3
Release:      26
Copyright: LGPL
Group: Development/Libraries
Source: ftp://xmlsoft.org/libxslt-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
Requires: libxml2 >= 2.4.3
URL: http://xmlsoft.org/XSLT/

%description
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.


The package comes with 'xsltproc', a command line interface to the XSLT engine.

Authors:
--------
    Daniel Veillard <veillard@redhat.com>

SuSE series: sgm

%package devel
Summary:      libxslt development package
Group: Development/Libraries
Requires: libxslt = %{version}
Requires: libxml2-devel >= 2.4.3

%description devel
Libraries and include files to compile applications using libxslt.

SuSE series: sgm

%prep
%setup

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal
automake
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
                                    --sysconfdir=%{_sysconfdir} \
                                    --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
# install -d $RPM_BUILD_ROOT/usr/man/man1
# install -d $RPM_BUILD_ROOT/usr/man/man4
make DESTDIR=$RPM_BUILD_ROOT install
/sbin/ldconfig -n $RPM_BUILD_ROOT%{prefix}/lib

%clean
rm -rf $RPM_BUILD_ROOT
# %post -p /sbin/ldconfig
# 
# %postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING COPYING.LIB TODO FEATURES
%doc doc/*.html doc/html doc/tutorial
%{_prefix}/lib/lib*.so.*
%{_prefix}/bin/xsltproc

%files devel
%defattr(-, root, root)
%{_prefix}/lib/lib*.so
%{_prefix}/lib/*a
%{_prefix}/lib/*.sh
%{_prefix}/include/*
%{_prefix}/bin/xslt-config

%changelog -n libxslt
* Fri Aug 24 2001 - ke@suse.de
- Update to version 1.0.3; from the announcement (cf. libxml2):
- Implement XML Catalog Specification from August 6:
  http://www.oasis-open.org/committees/entity/spec-2001-08-06.html
  http://xmlsoft.org/catalog.html
- New NaN and Infinity code.
- A number of small bugfixes.
* Fri Aug 17 2001 - ke@suse.de
- Update to version 1.0.2.
- Call 'libtoolize' and friends.
* Wed Jul 11 2001 - ke@suse.de
- New package: version 1.0.0.
